Package com.android.server.os

# Interface LinphoneTombstoneProtos.MemoryMappingOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`

All Known Implementing Classes:
  `LinphoneTombstoneProtos.MemoryMapping`, `LinphoneTombstoneProtos.MemoryMapping.Builder`

Enclosing class:
  LinphoneTombstoneProtos

public static interface LinphoneTombstoneProtos.MemoryMappingOrBuilder extends com.google.protobuf.MessageLiteOrBuilder

## Method Summary

Modifier and Type
Method
Description
`long`
`getBeginAddress()`
`uint64 begin_address = 1;`
`String`
`getBuildId()`
`string build_id = 8;`
`com.google.protobuf.ByteString`
`getBuildIdBytes()`
`string build_id = 8;`
`long`
`getEndAddress()`
`uint64 end_address = 2;`
`boolean`
`getExecute()`
`bool execute = 6;`
`long`
`getLoadBias()`
`uint64 load_bias = 9;`
`String`
`getMappingName()`
`string mapping_name = 7;`
`com.google.protobuf.ByteString`
`getMappingNameBytes()`
`string mapping_name = 7;`
`long`
`getOffset()`
`uint64 offset = 3;`
`boolean`
`getRead()`
`bool read = 4;`
`boolean`
`getWrite()`
`bool write = 5;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Method Details

### getBeginAddress

long getBeginAddress()
`uint64 begin_address = 1;`

Returns:
  The beginAddress.

### getEndAddress

long getEndAddress()
`uint64 end_address = 2;`

Returns:
  The endAddress.

### getOffset

long getOffset()
`uint64 offset = 3;`

Returns:
  The offset.

### getRead

boolean getRead()
`bool read = 4;`

Returns:
  The read.

### getWrite

boolean getWrite()
`bool write = 5;`

Returns:
  The write.

### getExecute

boolean getExecute()
`bool execute = 6;`

Returns:
  The execute.

### getMappingName

String getMappingName()
`string mapping_name = 7;`

Returns:
  The mappingName.

### getMappingNameBytes

com.google.protobuf.ByteString getMappingNameBytes()
`string mapping_name = 7;`

Returns:
  The bytes for mappingName.

### getBuildId

String getBuildId()
`string build_id = 8;`

Returns:
  The buildId.

### getBuildIdBytes

com.google.protobuf.ByteString getBuildIdBytes()
`string build_id = 8;`

Returns:
  The bytes for buildId.

### getLoadBias

long getLoadBias()
`uint64 load_bias = 9;`

Returns:
  The loadBias.